Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::VectorComponentFunctor< M > Class Template Reference

## Detailed Description

template<typename DERIVED>
template<int M>
class gtsam::Basis< DERIVED >::VectorComponentFunctor< M >

Given a M*N Matrix of M-vectors at N polynomial points, an instance of VectorComponentFunctor computes the N-vector value for a specific row component of the M-vectors at all the polynomial points.

This component is specified by the row index i, with 0<i<M.

Inheritance diagram for gtsam::Basis< DERIVED >::VectorComponentFunctor< M >:

## Public Member Functions

| VectorComponentFunctor ()
| For serialization.
| VectorComponentFunctor (size_t N, size_t i, double x)
| Construct with row index.
| VectorComponentFunctor (size_t N, size_t i, double x, double a, double b)
| Construct with row index and interval.
double | apply (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| Calculate component of component rowIndex_ of P.
double | operator() (const ParameterMatrix< M > &P, OptionalJacobian< -1, -1 > H=boost::none) const
| c++ sugar
Public Member Functions inherited from gtsam::Basis< DERIVED >::EvaluationFunctor
| EvaluationFunctor ()
| For serialization.
| EvaluationFunctor (size_t N, double x)
| Constructor with interval [a,b].
| EvaluationFunctor (size_t N, double x, double a, double b)
| Constructor with interval [a,b].
double | apply (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| Regular 1D evaluation.
double | operator() (const typename DERIVED::Parameters &p, OptionalJacobian<-1, -1 > H=boost::none) const
| c++ sugar
void | print (const std::string &s="") const

## Protected Types

using | Jacobian = Eigen::Matrix<double, 1, -1>

## Protected Member Functions

void | calculateJacobian (size_t N)

## Protected Attributes

size_t | rowIndex_
Jacobian | H_
Protected Attributes inherited from gtsam::Basis< DERIVED >::EvaluationFunctor
Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/basis/Basis.h